/*
 * File   : $Source: /usr/local/cvs/opencms/src/org/opencms/db/Messages.java,v $
 * Date   : $Date: 2007-09-10 11:48:20 $
 * Version: $Revision: 1.48 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Management System
 *
 * Copyright (c) 2002 - 2007 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.db;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.<p> 
 * 
 * @author Achim Westermann
 * @author Jan Baudisch 
 * 
 * @version $Revision: 1.48 $
 * 
 * @since 6.0.0 
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ACCESS_FILE_AS_FOLDER_1 = "ERR_ACCESS_FILE_AS_FOLDER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ACCESS_FOLDER_AS_FILE_1 = "ERR_ACCESS_FOLDER_AS_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ACCESSING_POOL_1 = "ERR_ACCESSING_POOL_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ADD_RELATION_IN_CONTENT_3 = "ERR_ADD_RELATION_IN_CONTENT_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ADD_RELATION_TO_RESOURCE_3 = "ERR_ADD_RELATION_TO_RESOURCE_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ADD_RESOURCE_TO_ORGUNIT_2 = "ERR_ADD_RESOURCE_TO_ORGUNIT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ADD_USER_GROUP_FAILED_2 = "ERR_ADD_USER_GROUP_FAILED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ADD_USER_WEB_1 = "ERR_ADD_USER_WEB_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_BAD_OU_DESCRIPTION_EMPTY_0 = "ERR_BAD_OU_DESCRIPTION_EMPTY_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_BAD_RESOURCENAME_1 = "ERR_BAD_RESOURCENAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_BAD_USER_1 = "ERR_BAD_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CANNOT_READ_PUBLISHLIST_0 = "ERR_CANNOT_READ_PUBLISHLIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_LOCK_OF_RESOURCE_2 = "ERR_CHANGE_LOCK_OF_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_LOCK_UNLOCKED_RESOURCE_1 = "ERR_CHANGE_LOCK_UNLOCKED_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_RESOURCE_FLAGS_1 = "ERR_CHANGE_RESOURCE_FLAGS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_RESOURCE_TYPE_1 = "ERR_CHANGE_RESOURCE_TYPE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_RESOURCES_IN_FOLDER_WITH_PROP_4 = "ERR_CHANGE_RESOURCES_IN_FOLDER_WITH_PROP_4";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_USER_TYPE_WITH_ID_1 = "ERR_CHANGE_USER_TYPE_WITH_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CHANGE_USER_TYPE_WITH_NAME_1 = "ERR_CHANGE_USER_TYPE_WITH_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CLOSE_HISTORY_DRIVER_0 = "ERR_CLOSE_HISTORY_DRIVER_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CLOSE_PROJECT_DRIVER_0 = "ERR_CLOSE_PROJECT_DRIVER_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CLOSE_USER_DRIVER_0 = "ERR_CLOSE_USER_DRIVER_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CLOSE_VFS_DRIVER_0 = "ERR_CLOSE_VFS_DRIVER_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COPY_ACE_2 = "ERR_COPY_ACE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COPY_LOCKED_SIBLINGS_1 = "ERR_COPY_LOCKED_SIBLINGS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COPY_RESOURCE_2 = "ERR_COPY_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COPY_RESOURCE_TO_PROJECT_2 = "ERR_COPY_RESOURCE_TO_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COUNT_LOCKED_RESOURCES_FOLDER_1 = "ERR_COUNT_LOCKED_RESOURCES_FOLDER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_COUNT_LOCKED_RESOURCES_PROJECT_2 = "ERR_COUNT_LOCKED_RESOURCES_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_GROUP_1 = "ERR_CREATE_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_ORGUNIT_1 = "ERR_CREATE_ORGUNIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_PROJECT_1 = "ERR_CREATE_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_PROJECT_ONLINE_PROJECT_NAME_1 = "ERR_CREATE_PROJECT_ONLINE_PROJECT_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_PROPDEF_1 = "ERR_CREATE_PROPDEF_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_RELATION_3 = "ERR_CREATE_RELATION_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_RESOURCE_1 = "ERR_CREATE_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_RESOURCE_LOCK_1 = "ERR_CREATE_RESOURCE_LOCK_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_RESOURCE_PARENT_LOCK_1 = "ERR_CREATE_RESOURCE_PARENT_LOCK_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_SIBLING_1 = "ERR_CREATE_SIBLING_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_TEMPFILE_PROJECT_0 = "ERR_CREATE_TEMPFILE_PROJECT_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATE_USER_1 = "ERR_CREATE_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DB_OPERATION_0 = "ERR_DB_OPERATION_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_GROUP_1 = "ERR_DELETE_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_HISTORY_4 = "ERR_DELETE_HISTORY_4";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_ORGUNIT_1 = "ERR_DELETE_ORGUNIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_PROJECT_1 = "ERR_DELETE_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_PROPERTY_1 = "ERR_DELETE_PROPERTY_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_RELATION_IN_CONTENT_2 = "ERR_DELETE_RELATION_IN_CONTENT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_RELATIONS_1 = "ERR_DELETE_RELATIONS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_RESOURCE_1 = "ERR_DELETE_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_ROLE_GROUP_1 = "ERR_DELETE_ROLE_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_STATEXP_PUBLISHED_RESOURCES_0 = "ERR_DELETE_STATEXP_PUBLISHED_RESOURCES_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_STATEXP_PUBLISHES_RESOURCE_1 = "ERR_DELETE_STATEXP_PUBLISHES_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DELETE_USER_1 = "ERR_DELETE_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DIRECT_PUBLISH_NO_PERMISSIONS_1 = "ERR_DIRECT_PUBLISH_NO_PERMISSIONS_1";

    /** Message contant for key in the resource bundle. */
    public static final String ERR_DIRECT_PUBLISH_PARENT_DELETED_2 = "ERR_DIRECT_PUBLISH_PARENT_DELETED_2";

    /** Message contant for key in the resource bundle. */
    public static final String ERR_DIRECT_PUBLISH_PARENT_NEW_2 = "ERR_DIRECT_PUBLISH_PARENT_NEW_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ERROR_INITIALIZING_DRIVER_1 = "ERR_ERROR_INITIALIZING_DRIVER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ACL_ENTRIES_1 = "ERR_GET_ACL_ENTRIES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ALL_ACCESSIBLE_PROJECTS_1 = "ERR_GET_ALL_ACCESSIBLE_PROJECTS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ALL_MANAGEABLE_PROJECTS_1 = "ERR_GET_ALL_MANAGEABLE_PROJECTS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_CHILD_GROUPS_1 = "ERR_GET_CHILD_GROUPS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_CHILD_GROUPS_TRANSITIVE_1 = "ERR_GET_CHILD_GROUPS_TRANSITIVE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_CONNECTION_1 = "ERR_GET_CONNECTION_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_GROUPS_OF_USER_2 = "ERR_GET_GROUPS_OF_USER_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_LOCK_1 = "ERR_GET_LOCK_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ORGUNITS_1 = "ERR_GET_ORGUNITS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ORGUNITS_ROLE_1 = "ERR_GET_ORGUNITS_ROLE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_PARENT_GROUP_1 = "ERR_GET_PARENT_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_PERMISSIONS_2 = "ERR_GET_PERMISSIONS_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_PUBLISH_LIST_DIRECT_1 = "ERR_GET_PUBLISH_LIST_DIRECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_PUBLISH_LIST_PROJECT_1 = "ERR_GET_PUBLISH_LIST_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_RELATED_RESOURCES_PUBLISH_DIRECT_1 = "ERR_GET_RELATED_RESOURCES_PUBLISH_DIRECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_RELATED_RESOURCES_PUBLISH_PROJECT_0 = "ERR_GET_RELATED_RESOURCES_PUBLISH_PROJECT_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_RESOURCES_IN_TIME_RANGE_3 = "ERR_GET_RESOURCES_IN_TIME_RANGE_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_ROLES_FOR_RESOURCE_2 = "ERR_GET_ROLES_FOR_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_USERS_OF_GROUP_1 = "ERR_GET_USERS_OF_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GET_USERS_OF_TYPE_1 = "ERR_GET_USERS_OF_TYPE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_GROUP_NOT_EMPTY_1 = "ERR_GROUP_NOT_EMPTY_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_HISTORY_PROJECT_4 = "ERR_HISTORY_PROJECT_4";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IMPORT_ACL_ENTRIES_1 = "ERR_IMPORT_ACL_ENTRIES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IMPORT_FOLDER_1 = "ERR_IMPORT_FOLDER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IMPORT_FOLDER_2 = "ERR_IMPORT_FOLDER_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IMPORT_RESOURCE_2 = "ERR_IMPORT_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IMPORT_USER_7 = "ERR_IMPORT_USER_7";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INIT_CONN_POOL_1 = "ERR_INIT_CONN_POOL_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INIT_DRIVER_MANAGER_1 = "ERR_INIT_DRIVER_MANAGER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOCK_RESOURCE_2 = "ERR_LOCK_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOGIN_MESSAGE_BAD_END_TIME_0 = "ERR_LOGIN_MESSAGE_BAD_END_TIME_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOGIN_MESSAGE_BAD_MESSAGE_0 = "ERR_LOGIN_MESSAGE_BAD_MESSAGE_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOGIN_MESSAGE_BAD_TIME_1 = "ERR_LOGIN_MESSAGE_BAD_TIME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOGIN_MESSAGE_FROZEN_0 = "ERR_LOGIN_MESSAGE_FROZEN_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_MERGING_PUBLISH_LISTS_0 = "ERR_MERGING_PUBLISH_LISTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_MODE_ENUM_PARSE_2 = "ERR_MODE_ENUM_PARSE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_MOVE_RESOURCE_2 = "ERR_MOVE_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_MOVE_TO_LOST_AND_FOUND_1 = "ERR_MOVE_TO_LOST_AND_FOUND_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_NO_ZIPFILE_1 = "ERR_NO_ZIPFILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ONLINE_RESOURCE_EXISTS_2 = "ERR_ONLINE_RESOURCE_EXISTS_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_DELETE_CURRENT_USER_1 = "ERR_ORGUNIT_DELETE_CURRENT_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_DELETE_GROUPS_1 = "ERR_ORGUNIT_DELETE_GROUPS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_DELETE_IN_CONTEXT_1 = "ERR_ORGUNIT_DELETE_IN_CONTEXT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_DELETE_SUB_ORGUNITS_1 = "ERR_ORGUNIT_DELETE_SUB_ORGUNITS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_DELETE_USERS_1 = "ERR_ORGUNIT_DELETE_USERS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ORGUNIT_MOVE_USER_2 = "ERR_ORGUNIT_MOVE_USER_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PARENT_GROUP_MUST_BE_IN_SAME_OU_3 = "ERR_PARENT_GROUP_MUST_BE_IN_SAME_OU_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PARENT_ORGUNIT_NULL_0 = "ERR_PARENT_ORGUNIT_NULL_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PERM_DENIED_2 = "ERR_PERM_DENIED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PERM_FILTERED_1 = "ERR_PERM_FILTERED_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PERM_NOTLOCKED_2 = "ERR_PERM_NOTLOCKED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PROCESS_DB_CONTEXT_0 = "ERR_PROCESS_DB_CONTEXT_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PUBLISH_NO_CMS_FILE_1 = "ERR_PUBLISH_NO_CMS_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PUBLISH_NO_FOLDER_1 = "ERR_PUBLISH_NO_FOLDER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PUBLISH_UNCHANGED_RESOURCE_1 = "ERR_PUBLISH_UNCHANGED_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PUBLISHLIST_NEEDS_REVIVE_0 = "ERR_PUBLISHLIST_NEEDS_REVIVE_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PWD_NEW_MISSING_0 = "ERR_PWD_NEW_MISSING_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_PWD_OLD_MISSING_0 = "ERR_PWD_OLD_MISSING_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ALL_HISTORY_FILE_HEADERS_1 = "ERR_READ_ALL_HISTORY_FILE_HEADERS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ALL_PROPDEF_0 = "ERR_READ_ALL_PROPDEF_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_CHILD_GROUP_NO_PERMISSION_0 = "ERR_READ_CHILD_GROUP_NO_PERMISSION_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_CHILD_RESOURCES_1 = "ERR_READ_CHILD_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_FILE_1 = "ERR_READ_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_FILE_HISTORY_2 = "ERR_READ_FILE_HISTORY_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_FOLDER_2 = "ERR_READ_FOLDER_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_GROUP_FOR_ID_1 = "ERR_READ_GROUP_FOR_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_GROUP_FOR_NAME_1 = "ERR_READ_GROUP_FOR_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_HISTORY_FILE_2 = "ERR_READ_HISTORY_FILE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_HISTORY_PRINCIPAL_1 = "ERR_READ_HISTORY_PRINCIPAL_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_HISTORY_PROJECT_2 = "ERR_READ_HISTORY_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ORGUNIT_1 = "ERR_READ_ORGUNIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ORGUNIT_GROUPS_1 = "ERR_READ_ORGUNIT_GROUPS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ORGUNIT_RESOURCES_1 = "ERR_READ_ORGUNIT_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_ORGUNIT_USERS_1 = "ERR_READ_ORGUNIT_USERS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_OWNER_FOR_PROJECT_2 = "ERR_READ_OWNER_FOR_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PATH_2 = "ERR_READ_PATH_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROJECT_FOR_ID_1 = "ERR_READ_PROJECT_FOR_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROJECT_FOR_NAME_1 = "ERR_READ_PROJECT_FOR_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROJECT_RESOURCES_2 = "ERR_READ_PROJECT_RESOURCES_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROJECT_VIEW_1 = "ERR_READ_PROJECT_VIEW_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROP_FOR_RESOURCE_2 = "ERR_READ_PROP_FOR_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROPDEF_1 = "ERR_READ_PROPDEF_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PROPS_FOR_RESOURCE_1 = "ERR_READ_PROPS_FOR_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_PUBLISHED_RESOURCES_FOR_ID_1 = "ERR_READ_PUBLISHED_RESOURCES_FOR_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RELATIONS_1 = "ERR_READ_RELATIONS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCE_1 = "ERR_READ_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCE_FOR_ID_1 = "ERR_READ_RESOURCE_FOR_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCES_1 = "ERR_READ_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCES_FOR_PRINCIPAL_LOG_1 = "ERR_READ_RESOURCES_FOR_PRINCIPAL_LOG_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCES_FOR_PROP_SET_2 = "ERR_READ_RESOURCES_FOR_PROP_SET_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCES_FOR_PROP_VALUE_3 = "ERR_READ_RESOURCES_FOR_PROP_VALUE_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESOURCES_WITH_TYPE_2 = "ERR_READ_RESOURCES_WITH_TYPE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_RESPONSIBLE_USERS_1 = "ERR_READ_RESPONSIBLE_USERS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_SIBLINGS_1 = "ERR_READ_SIBLINGS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_STATEXP_PUBLISHED_RESOURCE_PARAMS_1 = "ERR_READ_STATEXP_PUBLISHED_RESOURCE_PARAMS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_STATEXP_RESOURCES_1 = "ERR_READ_STATEXP_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_USER_FOR_ID_1 = "ERR_READ_USER_FOR_ID_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_USER_FOR_NAME_1 = "ERR_READ_USER_FOR_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_USER_WEB_1 = "ERR_READ_USER_WEB_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READ_USERS_NO_PERMISSION_0 = "ERR_READ_USERS_NO_PERMISSION_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READING_DELETED_RESOURCES_1 = "ERR_READING_DELETED_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_READING_RESOURCE_VERSION_2 = "ERR_READING_RESOURCE_VERSION_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RECURSIVE_INCLUSION_2 = "ERR_RECURSIVE_INCLUSION_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_REMOVE_ACL_ENTRY_2 = "ERR_REMOVE_ACL_ENTRY_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_REMOVE_PRINCIPAL_FROM_ORGUNIT_2 = "ERR_REMOVE_PRINCIPAL_FROM_ORGUNIT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_REMOVE_RESOURCE_FROM_ORGUNIT_2 = "ERR_REMOVE_RESOURCE_FROM_ORGUNIT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_REMOVE_USER_FROM_GROUP_2 = "ERR_REMOVE_USER_FROM_GROUP_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_REPLACE_RESOURCE_1 = "ERR_REPLACE_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RESET_PASSWORD_1 = "ERR_RESET_PASSWORD_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RESOURCE_SYSTEM_LOCKED_1 = "ERR_RESOURCE_SYSTEM_LOCKED_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RESOURCE_WITH_ID_ALREADY_EXISTS_3 = "ERR_RESOURCE_WITH_ID_ALREADY_EXISTS_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RESTORE_DELETED_RESOURCE_1 = "ERR_RESTORE_DELETED_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_RESTORE_RESOURCE_2 = "ERR_RESTORE_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_DATE_EXPIRED_2 = "ERR_SET_DATE_EXPIRED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_DATE_LAST_MODIFIED_2 = "ERR_SET_DATE_LAST_MODIFIED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_DATE_RELEASED_2 = "ERR_SET_DATE_RELEASED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_PARENT_GROUP_2 = "ERR_SET_PARENT_GROUP_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_PASSWORD_1 = "ERR_SET_PASSWORD_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_PROJECT_LAST_MODIFIED_2 = "ERR_SET_PROJECT_LAST_MODIFIED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SET_USERS_ORGUNIT_2 = "ERR_SET_USERS_ORGUNIT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_TEST_CHANGED_CONTENT_1 = "ERR_TEST_CHANGED_CONTENT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_TEST_MOVED_RESOURCE_1 = "ERR_TEST_MOVED_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNDELETE_FOR_RESOURCE_1 = "ERR_UNDELETE_FOR_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNDELETE_FOR_RESOURCE_DELETED_1 = "ERR_UNDELETE_FOR_RESOURCE_DELETED_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNDO_CHANGES_FOR_RESOURCE_1 = "ERR_UNDO_CHANGES_FOR_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNDO_CHANGES_FOR_RESOURCE_NEW_0 = "ERR_UNDO_CHANGES_FOR_RESOURCE_NEW_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNKNOWN_GROUP_1 = "ERR_UNKNOWN_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNKNOWN_POOL_URL_1 = "ERR_UNKNOWN_POOL_URL_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNKNOWN_USER_1 = "ERR_UNKNOWN_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNLOCK_ALL_PROJECT_LOCKED_1 = "ERR_UNLOCK_ALL_PROJECT_LOCKED_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNLOCK_PROJECT_2 = "ERR_UNLOCK_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNLOCK_RESOURCE_3 = "ERR_UNLOCK_RESOURCE_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UNSUPPORTED_OPERATION_2 = "ERR_UNSUPPORTED_OPERATION_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_UPDATE_RELATIONS_1 = "ERR_UPDATE_RELATIONS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_USER_CANT_DELETE_ITSELF_USER_0 = "ERR_USER_CANT_DELETE_ITSELF_USER_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_USER_GROUP_NAMES_EMPTY_0 = "ERR_USER_GROUP_NAMES_EMPTY_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_USER_IN_GROUP_2 = "ERR_USER_IN_GROUP_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_USER_NOT_IN_GROUP_2 = "ERR_USER_NOT_IN_GROUP_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_USERNAME_PASSWORD_MISMATCH_1 = "ERR_USERNAME_PASSWORD_MISMATCH_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_VALIDATE_RELATIONS_0 = "ERR_VALIDATE_RELATIONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_VFS_FOLDERS_DONT_SUPPORT_SIBLINGS_0 = "ERR_VFS_FOLDERS_DONT_SUPPORT_SIBLINGS_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_VFS_INVALID_PROPERTY_LIST_1 = "ERR_VFS_INVALID_PROPERTY_LIST_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_ACL_ENTRY_1 = "ERR_WRITE_ACL_ENTRY_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_FILE_1 = "ERR_WRITE_FILE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_GROUP_1 = "ERR_WRITE_GROUP_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_ORGUNIT_1 = "ERR_WRITE_ORGUNIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_PROJECT_1 = "ERR_WRITE_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_PROP_2 = "ERR_WRITE_PROP_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_PROPS_1 = "ERR_WRITE_PROPS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_RESOURCE_1 = "ERR_WRITE_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_STATEXP_PUBLISHED_RESOURCES_3 = "ERR_WRITE_STATEXP_PUBLISHED_RESOURCES_3";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_WRITE_USER_1 = "ERR_WRITE_USER_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_WORKPLACE_SEARCH_STYLE_EXPLORER_0 = "GUI_WORKPLACE_SEARCH_STYLE_EXPLORER_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_WORKPLACE_SEARCH_STYLE_LIST_WITH_EXCERPTS_0 = "GUI_WORKPLACE_SEARCH_STYLE_LIST_WITH_EXCERPTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_WORKPLACE_SEARCH_STYLE_LIST_WITHOUT_EXCERPTS_0 = "GUI_WORKPLACE_SEARCH_STYLE_LIST_WITHOUT_EXCERPTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_WORKPLACE_TEMPFILE_PROJECT_DESC_0 = "GUI_WORKPLACE_TEMPFILE_PROJECT_DESC_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_CLOSE_CONN_POOL_1 = "INIT_CLOSE_CONN_POOL_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_FAILED_1 = "INIT_DRIVER_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_INIT_FINISHED_0 = "INIT_DRIVER_INIT_FINISHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_INIT_FINISHED_1 = "INIT_DRIVER_INIT_FINISHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_INITIALIZING_1 = "INIT_DRIVER_INITIALIZING_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_DESTROY_1 = "INIT_DRIVER_MANAGER_DESTROY_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_PHASE1_0 = "INIT_DRIVER_MANAGER_START_PHASE1_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_PHASE2_0 = "INIT_DRIVER_MANAGER_START_PHASE2_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_PHASE3_0 = "INIT_DRIVER_MANAGER_START_PHASE3_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_PHASE4_0 = "INIT_DRIVER_MANAGER_START_PHASE4_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_PHASE4_OK_0 = "INIT_DRIVER_MANAGER_START_PHASE4_OK_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_POOLS_1 = "INIT_DRIVER_MANAGER_START_POOLS_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_MANAGER_START_RT_0 = "INIT_DRIVER_MANAGER_START_RT_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_DRIVER_START_1 = "INIT_DRIVER_START_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_JDBC_POOL_2 = "INIT_JDBC_POOL_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_SECURITY_MANAGER_INIT_0 = "INIT_SECURITY_MANAGER_INIT_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_SECURITY_MANAGER_SHUTDOWN_1 = "INIT_SECURITY_MANAGER_SHUTDOWN_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CHECK_RESOURCE_INSIDE_CURRENT_PROJECT_2 = "LOG_CHECK_RESOURCE_INSIDE_CURRENT_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CLOSE_CONN_POOL_ERROR_1 = "LOG_CLOSE_CONN_POOL_ERROR_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CMS_EVENT_1 = "LOG_CMS_EVENT_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CREATE_FOLDER_FAILED_1 = "LOG_CREATE_FOLDER_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DELETE_TEMP_PROJECT_FAILED_1 = "LOG_DELETE_TEMP_PROJECT_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EMPTY_PUBLISH_HISTORY_1 = "LOG_EMPTY_PUBLISH_HISTORY_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_ERR_DRIVER_MANAGER_CLOSE_0 = "LOG_ERR_DRIVER_MANAGER_CLOSE_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_ERR_DRIVER_MANAGER_START_0 = "LOG_ERR_DRIVER_MANAGER_START_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_GET_TIMESTAMP_2 = "LOG_GET_TIMESTAMP_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_NO_EXPORT_POINTS_CONFIGURED_0 = "LOG_NO_EXPORT_POINTS_CONFIGURED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UPDATE_EXORT_POINTS_ERROR_0 = "LOG_UPDATE_EXORT_POINTS_ERROR_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WRITE_EXPORT_POINT_1 = "LOG_WRITE_EXPORT_POINT_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WRITE_EXPORT_POINT_ERROR_1 = "LOG_WRITE_EXPORT_POINT_ERROR_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WRITE_EXPORT_POINT_FAILED_1 = "LOG_WRITE_EXPORT_POINT_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_CHECKING_0 = "RPT_CHECKING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_DELETE_NOTHING_0 = "RPT_DELETE_NOTHING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_END_DELETE_ACT_VERSIONS_0 = "RPT_END_DELETE_ACT_VERSIONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_END_DELETE_DEL_VERSIONS_0 = "RPT_END_DELETE_DEL_VERSIONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_END_DELETE_VERSIONS_0 = "RPT_END_DELETE_VERSIONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_EXPORT_POINTS_DELETE_0 = "RPT_EXPORT_POINTS_DELETE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_EXPORT_POINTS_WRITE_0 = "RPT_EXPORT_POINTS_WRITE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_EXPORT_POINTS_WRITE_BEGIN_0 = "RPT_EXPORT_POINTS_WRITE_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_EXPORT_POINTS_WRITE_END_0 = "RPT_EXPORT_POINTS_WRITE_END_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PARENT_FOLDER_NOT_PUBLISHED_1 = "RPT_PARENT_FOLDER_NOT_PUBLISHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_PUBLISH_REMOVED_RESOURCE_1 = "RPT_PUBLISH_REMOVED_RESOURCE_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_START_DELETE_ACT_VERSIONS_1 = "RPT_START_DELETE_ACT_VERSIONS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_START_DELETE_DEL_VERSIONS_1 = "RPT_START_DELETE_DEL_VERSIONS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_START_DELETE_DEL_VERSIONS_2 = "RPT_START_DELETE_DEL_VERSIONS_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_START_DELETE_VERSIONS_0 = "RPT_START_DELETE_VERSIONS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_VERSION_DELETING_1 = "RPT_VERSION_DELETING_1";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.db.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}