/*
 * File   : $Source: /usr/local/cvs/opencms/src/org/opencms/search/Messages.java,v $
 * Date   : $Date: 2007-08-20 13:06:59 $
 * Version: $Revision: 1.19 $
 *
 * This library is part of OpenCms -
 * the Open Source Content Management System
 *
 * Copyright (c) 2002 - 2007 Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.search;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.<p> 
 * 
 * @author Jan Baudisch 
 * @author Achim Westermann
 * 
 * @version $Revision: 1.19 $ 
 * 
 * @since 6.0.0 
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String ERR_ANALYZER_NOT_FOUND_1 = "ERR_ANALYZER_NOT_FOUND_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CONFIGURATION_FIELD_DELETE_2 = "ERR_CONFIGURATION_FIELD_DELETE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_CREATING_INDEX_DOC_0 = "ERR_CREATING_INDEX_DOC_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DOCCLASS_INIT_1 = "ERR_DOCCLASS_INIT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DOCCLASS_NOT_FOUND_1 = "ERR_DOCCLASS_NOT_FOUND_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DOCTYPE_NO_CLASS_DEF_0 = "ERR_DOCTYPE_NO_CLASS_DEF_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DOCTYPE_NO_NAME_0 = "ERR_DOCTYPE_NO_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_DOCTYPE_NO_RESOURCETYPE_DEF_0 = "ERR_DOCTYPE_NO_RESOURCETYPE_DEF_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_EVENT_REBUILD_SEARCHINDEX_1 = "ERR_EVENT_REBUILD_SEARCHINDEX_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_FIELD_CONFIGURATION_UNKNOWN_2 = "ERR_FIELD_CONFIGURATION_UNKNOWN_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_FIELD_MAPPING_DELETE_2 = "ERR_FIELD_MAPPING_DELETE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_FIELD_TYPE_UNKNOWN_1 = "ERR_FIELD_TYPE_UNKNOWN_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_CONFIGURATION_DELETE_2 = "ERR_INDEX_CONFIGURATION_DELETE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_CONFIGURATION_DELETE_STANDARD_1 = "ERR_INDEX_CONFIGURATION_DELETE_STANDARD_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_LOCK_FAILED_1 = "ERR_INDEX_LOCK_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_NOT_FOUND_1 = "ERR_INDEX_NOT_FOUND_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_NULL_0 = "ERR_INDEX_NULL_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_REBUILD_ALL_1 = "ERR_INDEX_REBUILD_ALL_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_RESOURCE_FAILED_2 = "ERR_INDEX_RESOURCE_FAILED_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_SOURCE_ASSOCIATION_1 = "ERR_INDEX_SOURCE_ASSOCIATION_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEX_SOURCE_DELETE_2 = "ERR_INDEX_SOURCE_DELETE_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEXSOURCE_CREATE_INVALID_NAME_1 = "ERR_INDEXSOURCE_CREATE_INVALID_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEXSOURCE_CREATE_MISSING_NAME_0 = "ERR_INDEXSOURCE_CREATE_MISSING_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_INDEXSOURCE_INDEXER_CLASS_NAME_2 = "ERR_INDEXSOURCE_INDEXER_CLASS_NAME_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_IO_INDEX_WRITER_OPEN_2 = "ERR_IO_INDEX_WRITER_OPEN_2";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_LOAD_ANALYZER_1 = "ERR_LOAD_ANALYZER_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_QUERY_TOO_SHORT_1 = "ERR_QUERY_TOO_SHORT_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SEARCH_PARAMS_1 = "ERR_SEARCH_PARAMS_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SEARCHINDEX_CREATE_INVALID_NAME_1 = "ERR_SEARCHINDEX_CREATE_INVALID_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String ERR_SEARCHINDEX_CREATE_MISSING_NAME_0 = "ERR_SEARCHINDEX_CREATE_MISSING_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_BUTTON_BACK_0 = "GUI_HELP_BUTTON_BACK_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_BUTTON_CLOSE_0 = "GUI_HELP_BUTTON_CLOSE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_BUTTON_CONTENTS_0 = "GUI_HELP_BUTTON_CONTENTS_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_BUTTON_NEXT_0 = "GUI_HELP_BUTTON_NEXT_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_BUTTON_SEARCH_0 = "GUI_HELP_BUTTON_SEARCH_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_SEARCH_NOMATCH_1 = "GUI_HELP_SEARCH_NOMATCH_1";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_SEARCH_RESULT_START_0 = "GUI_HELP_SEARCH_RESULT_START_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_SEARCH_RESULT_TITLE_0 = "GUI_HELP_SEARCH_RESULT_TITLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_HELP_SEARCH_UNAVAILABLE_0 = "GUI_HELP_SEARCH_UNAVAILABLE_0";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_ADD_ANALYZER_2 = "INIT_ADD_ANALYZER_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_ADD_SEARCH_INDEX_2 = "INIT_ADD_SEARCH_INDEX_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_INDEX_CONFIGURED_2 = "INIT_INDEX_CONFIGURED_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_INDEX_NOT_CONFIGURED_2 = "INIT_INDEX_NOT_CONFIGURED_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_SEARCH_DOC_TYPES_2 = "INIT_SEARCH_DOC_TYPES_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_SEARCH_INDEX_SOURCE_2 = "INIT_SEARCH_INDEX_SOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_SEARCH_INIT_FAILED_1 = "INIT_SEARCH_INIT_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String INIT_START_SEARCH_CONFIG_0 = "INIT_START_SEARCH_CONFIG_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_ABANDONED_THREAD_FINISHED_1 = "LOG_ABANDONED_THREAD_FINISHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_BASE_QUERY_1 = "LOG_BASE_QUERY_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_CREATING_INDEX_DOC_0 = "LOG_CREATING_INDEX_DOC_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_DOCTYPE_CONFIG_FAILED_1 = "LOG_DOCTYPE_CONFIG_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EVENT_CLEAR_CACHES_0 = "LOG_EVENT_CLEAR_CACHES_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EVENT_PUBLISH_PROJECT_1 = "LOG_EVENT_PUBLISH_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EVENT_PUBLISH_PROJECT_FINISHED_1 = "LOG_EVENT_PUBLISH_PROJECT_FINISHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_EVENT_REBUILD_SEARCHINDEX_1 = "LOG_EVENT_REBUILD_SEARCHINDEX_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_INDEX_ACCESS_FAILED_1 = "LOG_INDEX_ACCESS_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_INDEXER_CREATION_FAILED_1 = "LOG_INDEXER_CREATION_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_INDEXING_TIMEOUT_1 = "LOG_INDEXING_TIMEOUT_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_INDEXING_WITH_FACTORY_2 = "LOG_INDEXING_WITH_FACTORY_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_IO_INDEX_DOCUMENT_DELETE_2 = "LOG_IO_INDEX_DOCUMENT_DELETE_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_IO_INDEX_READER_CLOSE_2 = "LOG_IO_INDEX_READER_CLOSE_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_IO_INDEX_READER_OPEN_2 = "LOG_IO_INDEX_READER_OPEN_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_IO_INDEX_WRITER_CLOSE_2 = "LOG_IO_INDEX_WRITER_CLOSE_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_IO_INDEX_WRITER_OPTIMIZE_1 = "LOG_IO_INDEX_WRITER_OPTIMIZE_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_NO_INDEX_WITH_NAME_1 = "LOG_NO_INDEX_WITH_NAME_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_PARSE_EXCERPT_LENGTH_FAILED_2 = "LOG_PARSE_EXCERPT_LENGTH_FAILED_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_PARSE_EXTRACTION_CACHE_AGE_FAILED_2 = "LOG_PARSE_EXTRACTION_CACHE_AGE_FAILED_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_PARSE_TIMEOUT_FAILED_2 = "LOG_PARSE_TIMEOUT_FAILED_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READ_CATEGORY_FAILED_1 = "LOG_READ_CATEGORY_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_READING_CHANGED_RESOURCES_FAILED_1 = "LOG_READING_CHANGED_RESOURCES_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REBUILD_INDEX_FAILED_1 = "LOG_REBUILD_INDEX_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REBUILD_INDEXES_FINISHED_1 = "LOG_REBUILD_INDEXES_FINISHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REMOVE_FIELD_MAPPING_INDEX_2 = "LOG_REMOVE_FIELD_MAPPING_INDEX_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REMOVE_FIELDCONFIGURATION_FIELD_INDEX_2 = "LOG_REMOVE_FIELDCONFIGURATION_FIELD_INDEX_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REMOVE_SEARCH_INDEX_2 = "LOG_REMOVE_SEARCH_INDEX_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_RESULT_ITERATION_FAILED_0 = "LOG_RESULT_ITERATION_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_REWRITTEN_QUERY_1 = "LOG_REWRITTEN_QUERY_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCH_PARAMS_2 = "LOG_SEARCH_PARAMS_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCH_PRIORITY_TOO_HIGH_2 = "LOG_SEARCH_PRIORITY_TOO_HIGH_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCH_PRIORITY_TOO_LOW_2 = "LOG_SEARCH_PRIORITY_TOO_LOW_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCHINDEX_CREATE_BAD_PROJECT_2 = "LOG_SEARCHINDEX_CREATE_BAD_PROJECT_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCHINDEX_DISABLED_1 = "LOG_SEARCHINDEX_DISABLED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SEARCHING_FAILED_0 = "LOG_SEARCHING_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_SKIPPED_1 = "LOG_SKIPPED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_STAT_RESULTS_TIME_4 = "LOG_STAT_RESULTS_TIME_4";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_THREADS_FINISHED_0 = "LOG_THREADS_FINISHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UNABLE_TO_READ_PROPERTY_1 = "LOG_UNABLE_TO_READ_PROPERTY_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UNABLE_TO_READ_RESOURCE_2 = "LOG_UNABLE_TO_READ_RESOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UNABLE_TO_READ_SIBLINGS_1 = "LOG_UNABLE_TO_READ_SIBLINGS_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UNABLE_TO_READ_SOURCE_2 = "LOG_UNABLE_TO_READ_SOURCE_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_UPDATE_INDEX_FAILED_1 = "LOG_UPDATE_INDEX_FAILED_1";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WAITING_ABANDONED_THREADS_2 = "LOG_WAITING_ABANDONED_THREADS_2";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WRITE_SUCCESS_0 = "LOG_WRITE_SUCCESS_0";

    /** Message constant for key in the resource bundle. */
    public static final String LOG_WRITING_INDEX_TO_WRITER_1 = "LOG_WRITING_INDEX_TO_WRITER_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_FAILED_0 = "RPT_SEARCH_INDEXING_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_FILE_BEGIN_0 = "RPT_SEARCH_INDEXING_FILE_BEGIN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_LOCK_WAIT_2 = "RPT_SEARCH_INDEXING_LOCK_WAIT_2";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_REBUILD_BEGIN_1 = "RPT_SEARCH_INDEXING_REBUILD_BEGIN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_REBUILD_END_1 = "RPT_SEARCH_INDEXING_REBUILD_END_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_STATS_4 = "RPT_SEARCH_INDEXING_STATS_4";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_TIMEOUT_1 = "RPT_SEARCH_INDEXING_TIMEOUT_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_UPDATE_BEGIN_1 = "RPT_SEARCH_INDEXING_UPDATE_BEGIN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SEARCH_INDEXING_UPDATE_END_1 = "RPT_SEARCH_INDEXING_UPDATE_END_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_UNABLE_TO_READ_SOURCE_2 = "RPT_UNABLE_TO_READ_SOURCE_2";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.search.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.<p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.<p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.<p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}